# Uses of Class
org.eclipse.ui.texteditor.AnnotationPreference

Packages that use AnnotationPreference
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of AnnotationPreference in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return AnnotationPreference
Modifier and Type
Method
Description
`AnnotationPreference`
AnnotationPreferenceLookup.`getAnnotationPreference(String annotationType)`
Returns the annotation preference defined for the given annotation type.
`AnnotationPreference`
AnnotationPreferenceLookup.`getAnnotationPreference(Annotation annotation)`
Returns the annotation preference of a given annotation.
`AnnotationPreference`
AnnotationPreferenceLookup.`getAnnotationPreferenceFragment(String annotationType)`
Returns the annotation preference fragment defined for the given annotation type.
Methods in org.eclipse.ui.texteditor that return types with arguments of type AnnotationPreference
Modifier and Type
Method
Description
`List<AnnotationPreference>`
MarkerAnnotationPreferences.`getAnnotationPreferenceFragments()`
Returns all extensions provided for the `markerAnnotationSpecification` extension point including fragments.
`List<AnnotationPreference>`
MarkerAnnotationPreferences.`getAnnotationPreferences()`
Returns all extensions provided for the `markerAnnotationSpecification` extension point.
Methods in org.eclipse.ui.texteditor with parameters of type AnnotationPreference
Modifier and Type
Method
Description
`void`
AnnotationPreference.`merge(AnnotationPreference preference)`
Merges the values of the given preference into this preference.
`void`
SourceViewerDecorationSupport.`setAnnotationPreference(AnnotationPreference info)`
Sets the preference info for the annotation painter.